<?php

namespace App\Livewire;

use App\Models\Node;
use Illuminate\View\View;
use Livewire\Component;

class NodeSystemInformation extends Component
{
    public Node $node;

    public string $sizeClasses;

    public function render(): View
    {
        return view('livewire.node-system-information');
    }

    public function placeholder(): string
    {
        return <<<'HTML'
        <div>
            <x-filament::icon
                :icon="'tabler-heart-question'"
                @class(['fi-ta-icon-item', $sizeClasses, 'fi-color-custom text-custom-500 dark:text-custom-400', 'fi-color-warning'])
            />
        </div>
        HTML;
    }
}
